import { Component } from '@angular/core';
import { CloudUser } from '../../lib/ncloud';
import { Router } from '@angular/router';
import { IonicModule } from '@ionic/angular';
import { CommonModule } from '@angular/common';
import { ModalController } from '@ionic/angular'; // 导入 ModalController
import { EditProfileComponent } from './edit-profile.component'; // 假设编辑资料组件名为 EditProfileComponent

@Component({
  selector: 'app-user-dashboard',
  templateUrl: 'user-dashboard.page.html',
  styleUrls: ['user-dashboard.page.scss'],
  imports: [IonicModule, CommonModule],
  standalone: true 
})
export class UserDashboardPage {
  user = new CloudUser();
  currentUser: any = null;

  constructor(private router: Router, private modalCtrl: ModalController) {
    this.getCurrentUser();
  }

  async getCurrentUser() {
    this.currentUser = await this.user.current();
  }

  async logout() {
    const success = await this.user.logout();
    if (success) {
      this.router.navigate(['/tabs/tab5']); 
    }
  }

  async goToEditProfile() {
    const modal = await this.modalCtrl.create({
      component: EditProfileComponent,
      componentProps: {
        currentUser: this.currentUser
      }
    });

    modal.onDidDismiss().then(async (data) => {
      if (data.data) {
        // 更新用户信息
        this.user.set(data.data);
        await this.user.save();
        this.currentUser = await this.user.current();
      }
    });

    return await modal.present();
  }
}